## dv1394src dv1394src |

## Properties

gint | channel | Read / Write
gint | consecutive | Read / Write
gboolean | drop-incomplete | Read / Write
guint64 | guid | Read / Write
gint | port | Read / Write
gint | skip | Read / Write
gboolean | use-avc | Read / Write
gchar * | device-name | Read

## Signals

void | frame-dropped | Run Last

## Types and Values

struct | GstDV1394Src

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstDV1394Src

## Implemented Interfaces

GstDV1394Src implements GstURIHandler and GstPropertyProbe.

## Description

Read DV (digital video) data from firewire port.

### Example launch line

    1
    gst-launch-1.0 dv1394src ! queue ! dvdemux name=d ! queue ! dvdec ! xvimagesink d. ! queue ! alsasink

This pipeline captures from the firewire port and displays it (might need format converters for audio/video).

## Synopsis

### Element Information

plugin | 1394
author | Erik Walthinsen <omega@temple-baptist.com>, Daniel Fischer <dan@f3c.com>, Wim Taymans <wim@fluendo.com>, Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-dv, format=(string){ NTSC, PAL }, systemstream=(boolean)true

## Functions

## Types and Values

### struct GstDV1394Src

    struct GstDV1394Src;

## Property Details

### The `“channel”` property

      “channel”                  gint

Channel number for listening.

Flags: Read / Write

Allowed values: [0,64]

Default value: 63

### The `“consecutive”` property

      “consecutive”              gint

send n consecutive frames after skipping.

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“drop-incomplete”` property

      “drop-incomplete”          gboolean

drop incomplete frames.

Flags: Read / Write

Default value: TRUE

### The `“guid”` property

      “guid”                     guint64

select one of multiple DV devices by its GUID. use a hexadecimal like 0xhhhhhhhhhhhhhhhh. (0 = no guid).

Flags: Read / Write

Default value: 0

### The `“port”` property

      “port”                     gint

Port number (-1 automatic).

Flags: Read / Write

Allowed values: [G_MAXULONG,16]

Default value: -1

### The `“skip”` property

      “skip”                     gint

skip n frames.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“use-avc”` property

      “use-avc”                  gboolean

Use AV/C VTR control.

Flags: Read / Write

Default value: TRUE

### The `“device-name”` property

      “device-name”              gchar *

Descriptive name of the currently opened device

Flags: Read

Default value: "Default"

## Signal Details

### The `“frame-dropped”` signal

    void
    user_function (GstDV1394Src *gstdv1394src,
                   gpointer      user_data)

Flags: Run Last